# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.contacts
Class ContactGroupEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<ContactGroupEntry>
                  com.google.gdata.data.contacts.ContactGroupEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class ContactGroupEntry

extends BaseEntry<ContactGroupEntry>

Describes a contact group entry.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Contact group kind category.
`static java.lang.String` `KIND` Contact group kind term value.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`ContactGroupEntry()` Default mutable constructor.
`ContactGroupEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `addExtendedProperty(ExtendedProperty extendedProperty)` Adds a new extended property.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Deleted` `getDeleted()` Returns the marker for deleted entries.
`java.util.List<ExtendedProperty>` `getExtendedProperties()` Returns the extended properties.
`SystemGroup` `getSystemGroup()` Returns the system group.
`boolean` `hasDeleted()` Returns whether it has the marker for deleted entries.
`boolean` `hasExtendedProperties()` Returns whether it has the extended properties.
`boolean` `hasSystemGroup()` Returns whether it has the system group.
`void` `setDeleted(Deleted deleted)` Sets the marker for deleted entries.
`void` `setSystemGroup(SystemGroup systemGroup)` Sets the system group.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KIND

    public static final java.lang.String KIND

  Contact group kind term value.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Contact group kind category.

Constructor Detail

### ContactGroupEntry

    public ContactGroupEntry()

  Default mutable constructor.

### ContactGroupEntry

    public ContactGroupEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getDeleted

    public Deleted getDeleted()

  Returns the marker for deleted entries.

  Returns:
    marker for deleted entries

### setDeleted

    public void setDeleted(Deleted deleted)

  Sets the marker for deleted entries.

  Parameters:
    `deleted` - marker for deleted entries or `null` to reset

### hasDeleted

    public boolean hasDeleted()

  Returns whether it has the marker for deleted entries.

  Returns:
    whether it has the marker for deleted entries

### getExtendedProperties

    public java.util.List<ExtendedProperty> getExtendedProperties()

  Returns the extended properties.

  Returns:
    extended properties

### addExtendedProperty

    public void addExtendedProperty(ExtendedProperty extendedProperty)

  Adds a new extended property.

  Parameters:
    `extendedProperty` - extended property

### hasExtendedProperties

    public boolean hasExtendedProperties()

  Returns whether it has the extended properties.

  Returns:
    whether it has the extended properties

### getSystemGroup

    public SystemGroup getSystemGroup()

  Returns the system group.

  Returns:
    system group

### setSystemGroup

    public void setSystemGroup(SystemGroup systemGroup)

  Sets the system group.

  Parameters:
    `systemGroup` - system group or `null` to reset

### hasSystemGroup

    public boolean hasSystemGroup()

  Returns whether it has the system group.

  Returns:
    whether it has the system group

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`